Summary: Libraries for compiling Win32 applications
Name: mingw
Version: 3.0
Release: 1
License: Public Domain/Freeware, see included license
Group: Development/Win32
URL: http://www.mingw.org/
Source0: ftp://ftp.sourceforge.net/pub/sourceforge/mingw/mingw-runtime-%{version}.tar.gz
Source1: ftp://ftp.sourceforge.net/pub/sourceforge/mingw/w32api-2.3.tar.gz
Source2: http://www.mingw.org/licensing.shtml
Source3: http://www.libsdl.org/extras/win32/common/directx-devel.tar.gz
Source4: http://www.libsdl.org/extras/win32/common/opengl-devel.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# This package doesn't depend on the host architecture
BuildArchitectures: noarch
Obsoletes: mingw32

%define __debug_package 0
%define _target_platform i386-mingwmsvc
%define _prefix /usr/mingw
%define _mandir %{_prefix}/man
%define _infodir %{_prefix}/info

# This keeps brp-strip from fucking up our nonnative binaries
%define __strip /bin/true

%description
MinGW (Minimal GNU for Win32) is a collection of GNU development tools
to produce Win32 binaries.  This is MinGW installed as a
cross-development environment under Linux.

This package contains the basic runtime libraries.

%prep
# mingw-runtime
%setup0 -c
# DirectX, OpenGL
# Extract these *before* w32api, since w32api contains newer versions of
# some of the libraries...
%setup -D -T -a 3
%setup -D -T -a 4
# w32api
%setup -D -T -a 1
# License file
cp %{_sourcedir}/licensing.shtml license.html

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_prefix}
cp -a . %{buildroot}/%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_prefix}
%doc license.html

%changelog
* Thu Jul 10 2003 H. Peter Anvin <hpa@zytor.com> 3.0-1
- Changed name from mingw32 to mingw
- New upstream revision

* Mon Mar 31 2003 H. Peter Anvin <hpa@zytor.com> 2.4-1
- Initial build.
